clang 10.0.0git

Classes | Namespaces | Typedefs
MPITypes.h File Reference

This file provides definitions to model concepts of MPI. More...

`#include "clang/StaticAnalyzer/Checkers/MPIFunctionClassifier.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`
`#include "llvm/ADT/SmallSet.h"`
Include dependency graph for MPITypes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ento::mpi::Request
struct | clang::ento::mpi::RequestMap
struct | clang::ento::ProgramStateTrait< mpi::RequestMap >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento
| clang::ento::mpi

## Typedefs
typedef llvm::ImmutableMap< const clang::ento::MemRegion *, clang::ento::mpi::Request > | clang::ento::mpi::RequestMapImpl

## Detailed Description

This file provides definitions to model concepts of MPI.

The mpi::Request class defines a wrapper class, in order to make MPI requests trackable for path-sensitive analysis.

Definition in file MPITypes.h.